singleton Material(divo_colour)
{
mapTo = "divo_colour";
diffuseMap[0] = "vehicles/common/null.dds";
specularMap[0] = "vehicles/common/null.dds";
diffuseMap[1] = "vehicles/common/null.dds";
specularMap[1] = "vehicles/common/null.dds";
diffuseColor[0] = "0.8 0.8 0.8 1";
diffuseColor[1] = "0.9 0.9 0.9 0.6";
specularPower[0] = "16";
specularPower[1] = "16";
useAnisotropic[0] = "1";
useAnisotropic[1] = "1";
castShadows = "1";
translucent = "1";
translucentBlendOp = "None";
alphaTest = "1";
alphaRef = "0";
beamngDiffuseColorSlot = 1;
doubleSided = "1";
dynamicCubemap = true;
};

singleton Material(divo_glass)
{
    mapTo = "divo_glass";
    reflectivityMap[0] = "glass_base.dds";
    diffuseMap[0] = "glass_base_2.dds";
    opacityMap[0] = "glass_base.dds";
    diffuseMap[1] = "glass_base_2.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/null_n.dds";
    diffuseColor[1] = "0.5 0.5 0.5 0.75";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1 1 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(divo_carbon)
{
mapTo = "divo_carbon";
diffuseMap[0] = "vehicles/bdivo/tex/carbon.png";
diffuseColor[0] = "1 1 1 0.1";
translucentBlendOp = "None";
alphaTest = "1";
alphaRef = "0";
cubemap = "BNG_Sky_02_cubemap";
beamngDiffuseColorSlot = 1;
doubleSided = "1";
};

singleton Material(divo_plastic)
{
mapTo = "divo_plastic";
diffuseMap[0] = "vehicles/bdivo/tex/plastic.png";
diffuseColor[0] = "1 1 1 0.1";
translucentBlendOp = "None";
alphaTest = "1";
alphaRef = "0";
cubemap = "BNG_Sky_02_cubemap";
beamngDiffuseColorSlot = 1;
doubleSided = "1";
};

singleton Material(divo_grill)
{
mapTo = "divo_grill";
diffuseMap[0] = "vehicles/bdivo/tex/grill.png";
diffuseColor[0] = "1 1 1 0.1";
translucentBlendOp = "None";
alphaTest = "1";
alphaRef = "0";
cubemap = "BNG_Sky_02_cubemap";
beamngDiffuseColorSlot = 1;
doubleSided = "1";
};

singleton Material(divo_badgea)
{
mapTo = "divo_badgea";
    diffuseMap[0] = "vehicles/bdivo/tex/decal_badge.png";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    materialTag0 = "beamng"; materialTag1 = "vehicle"; materialTag2 = "decal";
};


singleton Material(divo_plastics)
{
mapTo = "divo_plastics";
diffuseMap[0] = "vehicles/bdivo/tex/plastic.png";
diffuseColor[0] = "1 1 1 0.1";
translucentBlendOp = "None";
alphaTest = "1";
alphaRef = "0";
cubemap = "BNG_Sky_02_cubemap";
beamngDiffuseColorSlot = 1;
doubleSided = "1";
};

singleton Material(divo_clotch)
{
mapTo = "divo_clotch";
diffuseMap[0] = "vehicles/bdivo/tex/clotch.png";
diffuseColor[0] = "1 1 1 0.1";
translucentBlendOp = "None";
alphaTest = "1";
alphaRef = "0";
cubemap = "BNG_Sky_02_cubemap";
beamngDiffuseColorSlot = 1;
doubleSided = "1";
};

singleton Material(divo_carpet)
{
mapTo = "divo_carpet";
diffuseMap[0] = "vehicles/bdivo/tex/carpet.png";
diffuseColor[0] = "1 1 1 0.1";
translucentBlendOp = "None";
alphaTest = "1";
alphaRef = "0";
cubemap = "BNG_Sky_02_cubemap";
beamngDiffuseColorSlot = 1;
doubleSided = "1";
};

singleton Material(divo_grey)
{
mapTo = "divo_grey";
diffuseMap[0] = "vehicles/bdivo/tex/grey.png";
diffuseColor[0] = "1 1 1 0.1";
translucentBlendOp = "None";
alphaTest = "1";
alphaRef = "0";
cubemap = "BNG_Sky_02_cubemap";
beamngDiffuseColorSlot = 1;
doubleSided = "1";
};

singleton Material(divo_mirror)
{
    mapTo = "divo_mirror";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/mirror_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1 1 1";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(divo_lights)
{
mapTo = "divo_lights";
diffuseMap[0] = "vehicles/bdivo/tex/lights.png";
diffuseColor[0] = "1 1 1 0.1";
translucentBlendOp = "None";
alphaTest = "1";
alphaRef = "0";
cubemap = "BNG_Sky_02_cubemap";
beamngDiffuseColorSlot = 1;
doubleSided = "1";
};

singleton Material(divo_display)
{
mapTo = "divo_display";
diffuseMap[0] = "vehicles/bdivo/tex/display.png";
diffuseColor[0] = "1 1 1 0.1";
translucentBlendOp = "None";
alphaTest = "1";
alphaRef = "0";
cubemap = "BNG_Sky_02_cubemap";
beamngDiffuseColorSlot = 1;
doubleSided = "1";
};

singleton Material(divo_secondary)
{
    mapTo = "divo_secondary";
	colorPaletteMap[0] = "vehicles/bdivo/super2_colour.dds";
	colorPaletteMap[1] = "vehicles/bdivo/super2_colour.dds";
	colorPaletteMap[2] = "vehicles/bdivo/super2_colour.dds";
    diffuseMap[2] = "vehicles/bdivo/super_c.dds";
    specularMap[2] = "vehicles/bdivo/super_s.dds";
    normalMap[2] = "vehicles/bdivo/super_n.dds";
    diffuseMap[1] = "vehicles/bdivo/super_d.dds";
    specularMap[1] = "vehicles/bdivo/super_s.dds";
    normalMap[1] = "vehicles/bdivo/super_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/bdivo/super_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(divo_glassred)
{
    mapTo = "divo_glassred";
    reflectivityMap[0] = "glass_base.dds";
    diffuseMap[0] = "glass_base_2.dds";
    opacityMap[0] = "glass_base.dds";
    diffuseMap[1] = "glass_base_2.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/null_n.dds";
    diffuseColor[1] = "0.95 0.08 0.02 1.3";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1 1 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(divo_interior)
{
mapTo = "divo_interior";
diffuseMap[0] = "vehicles/bdivo/tex/interior.png";
diffuseColor[0] = "1 1 1 0.1";
translucentBlendOp = "None";
alphaTest = "1";
alphaRef = "0";
cubemap = "BNG_Sky_02_cubemap";
beamngDiffuseColorSlot = 1;
doubleSided = "1";
};

singleton Material(divo_lightss)
{
mapTo = "divo_lightss";
diffuseMap[0] = "vehicles/bdivo/tex/vehiclelights.png";
diffuseColor[0] = "1 1 1 0.1";
translucentBlendOp = "None";
alphaTest = "1";
alphaRef = "0";
cubemap = "BNG_Sky_02_cubemap";
beamngDiffuseColorSlot = 1;
doubleSided = "1";
};

singleton Material(divo_del)
{
   mapTo = "divo_del";
    diffuseMap[0] = "vehicles/bdivo/tex/decal_divo.png";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    materialTag0 = "beamng"; materialTag1 = "vehicle"; materialTag2 = "decal";
};

singleton Material(divo_stitch)
{
   mapTo = "divo_stitch";
    diffuseMap[0] = "vehicles/bdivo/tex/decal_stitch3.png";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    materialTag0 = "beamng"; materialTag1 = "vehicle"; materialTag2 = "decal";
};

singleton Material(divo_seat)
{
mapTo = "divo_seat";
diffuseMap[0] = "vehicles/bdivo/tex/seat.png";
diffuseColor[0] = "1 1 1 0.1";
translucentBlendOp = "None";
alphaTest = "1";
alphaRef = "0";
cubemap = "BNG_Sky_02_cubemap";
beamngDiffuseColorSlot = 1;
doubleSided = "1";
};

singleton Material(divo_red)
{
mapTo = "divo_red";
diffuseMap[0] = "vehicles/bdivo/tex/red.jpg";
diffuseColor[0] = "1 1 1 0.1";
translucentBlendOp = "None";
alphaTest = "1";
alphaRef = "0";
cubemap = "BNG_Sky_02_cubemap";
beamngDiffuseColorSlot = 1;
doubleSided = "1";
};

singleton Material(divo_lightson)
{
    mapTo = "divo_lightson";
   diffuseMap[1] = "vehicles/bdivo/tex/vehiclelights_on.png";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   specularPower[0] = "128";
   pixelSpecular[0] = "1";
   specularPower[1] = "32";
   pixelSpecular[1] = "1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   castShadows = "1";
   translucentBlendOp = "None";
   alphaTest = "0";
   alphaRef = "0";

    glow[1] = "1";
    emissive[1] = "0";
   dynamicCubemap = true;
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(divo_lightshi)
{
    mapTo = "divo_lightshi";
   diffuseMap[1] = "vehicles/bdivo/tex/vehiclelights_on.png";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   specularPower[0] = "128";
   pixelSpecular[0] = "1";
   specularPower[1] = "32";
   pixelSpecular[1] = "1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   castShadows = "1";
   translucentBlendOp = "None";
   alphaTest = "0";
   alphaRef = "0";

    glow[1] = "1";
    emissive[1] = "1";
   dynamicCubemap = true;
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(divo_decal)
{
mapTo = "divo_decal";
    diffuseMap[0] = "vehicles/bdivo/tex/decal_label.png";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    materialTag0 = "beamng"; materialTag1 = "vehicle"; materialTag2 = "decal";
};


singleton Material(divo_decalsymbol)
{
mapTo = "divo_decalsymbol";
    diffuseMap[0] = "vehicles/bdivo/tex/decal_symbol.png";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    materialTag0 = "beamng"; materialTag1 = "vehicle"; materialTag2 = "decal";
};

singleton Material(divo_windshield_dmg)
{
    mapTo = "divo_windshield_dmg";
    reflectivityMap[0] = "vehicles/common/glass_base.dds";
    diffuseMap[0] = "transparent_txt.png";
    specularMap[0] = "vehicles/common/glass_dmg_s.dds";
    normalMap[0] = "vehicles/common/windshield_dmg_n.dds";
    specularPower[0] = "32";
    diffuseColor[0] = "1.5 1.5 1.5 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(divo_glass_dmg)
{
    mapTo = "divo_glass_dmg";
    reflectivityMap[0] = "vehicles/common/glass_base.dds";
    diffuseMap[0] = "transparent_txt.png";
    specularMap[0] = "vehicles/common/glass_dmg_s.dds";
    normalMap[0] = "vehicles/common/windshield_dmg_n.dds";
    specularPower[0] = "32";
    diffuseColor[0] = "1.5 1.5 1.5 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(divo_bugattidec)
{
mapTo = "divo_bugattidec";
    diffuseMap[0] = "vehicles/bdivo/tex/decal_bugatti.png";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    materialTag0 = "beamng"; materialTag1 = "vehicle"; materialTag2 = "decal";
};

singleton Material(divo_bolt)
{
mapTo = "divo_bolt";
    diffuseMap[0] = "vehicles/bdivo/tex/decal_bolt.png";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    materialTag0 = "beamng"; materialTag1 = "vehicle"; materialTag2 = "decal";
};